/*******************
	MOBILE MENU
*******************/


.mobile-menu {
	z-index: 999;
	position: fixed;
	top: -100vh;
	right: 0;
	width: 25em;
	max-width: 70%;
	height: 100%;
	max-height: 100%;
	overflow-y: hidden;
	background: linear-gradient(180deg, #ffa718 0%, #aa9066 100%);
	color: var(--textColor);
	box-shadow: var(--lightBoxShadow);
	font-size: 1.125em;
	text-align: left;
	transition: 0.5s;
}
	.mobile-menu:hover {
		max-height: 4000%;
		overflow-y: auto;
	}
	.w-mobile-menu .mobile-menu {
		top: 0;
	}

.mobile-menu nav { max-width: 23.5em; margin-left: 0; padding: 2em 0; }
.mobile-menu nav ul { list-style-type: none; line-height: 1.4em; }
.mobile-menu nav > ul > li { position: relative; }
.mobile-menu nav > ul > li.has-sub-menu.active { padding-bottom: 0.25em; }
.mobile-menu nav > ul > li > ul { font-size: 0.9em; font-style:italic; }
.mobile-menu nav > ul > li > ul > li:not(:last-child) { margin-bottom: 0.25em; }

.mobile-menu nav a {
	display: block;
	padding: 0.5em 0.5em 0.5em 1.5em;
	background: rgba(255,255,255,0);
}
.mobile-menu nav a:hover {
	background: rgba(255,255,255,0.25);
}
.mobile-menu nav > ul > li > ul > li a {
	position:relative;
	padding: 0.5em 0.5em 0.5em 3.5em;
}
.mobile-menu nav > ul > li > ul > li a:before {
	content: '';
	position: absolute;
	top: 50%;
	left: 2em;
	width: 1em;
	height: 1px;
	background-color: currentColor;
}

.mobile-menu nav > ul > li.current-menu-item::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 0.4em;
	height: 100%;
	background: currentColor;
}
.mobile-menu nav > ul > li.has-sub-menu {
	padding-right: 2em;
}


.mm-news {
	padding: 1.5em;
}
.mm-news .inner {
	background: #fff;
	color: var(--textColor);
	padding: 1em;
	border-radius: 0.5em;
}

body .mobile-menu-overlay {
	z-index: 998;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: transparent;
	display: none;
}
body.w-mobile-menu .mobile-menu-overlay {
	display: block;
}

.mobile-menu .logo {
	text-align: center;
}
.mobile-menu .logo img {
	display: inline-block;
	margin: 2em auto;
	width: 12em;
}

/* version alternative */

.mobile-menu {
	height: auto;
	max-height: 100%;
	max-width: 100%;
}
.mobile-menu .logo {
	display: none;
}
.mobile-menu .close {
	position: absolute;
	top: 2em;
	right: 1em;
}
.mobile-menu .close a {
	display: block;
	width: 2em;
	height: 2em;
	background-image: url(../../img/icon-close.svg);
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
}
.mobile-nav-alt {
	padding: 5em 2em 2em 2em;
	text-align: center;
}
.mobile-nav-alt ul {
	list-style-type: none;
}
.mobile-nav-alt > ul > li {
	position: relative;
	margin-bottom: 0.5rem;
}
.mobile-nav-alt ul li a {
	display: inline-block;
	padding: 0.25em 0.35em;
	font-size: 2em;
	font-weight: 500;
	color: var(--black);
	letter-spacing: 0.03em;
	white-space: nowrap;
	border: transparent 3px solid;
	transition: 0.25s;
	font-family: var(--baseFont);
}
.mobile-nav-alt > ul > li.current-menu-item > a,
.mobile-nav-alt > ul > li.current-menu-ancestor > a {
	border-color: currentColor;
}
.mobile-nav-alt ul li a:hover {
	background: var(--black);
	border-color: var(--black);
	color: #fff;
}